﻿/*
  Basic style sheet for Global Vision Date Picker.
*/

div.gv-date div.dropdown-menu {
  padding: 0px;
}

div.gv-date table {
  margin: 0px 4px 4px 4px;
}

  div.gv-date table th,
  div.gv-date table td {
    border: none;
  }

  div.gv-date table td {
    text-align: center;
    vertical-align: middle;
    width: 36px;
    height: 30px;
  }

div.gv-date div.input-group-addon {
  cursor: pointer;
}

div.gv-date div.dropdown-menu table thead tr th span.nav-icon,
div.gv-date div.dropdown-menu table tbody tr td.day {
  cursor: pointer;
}

div.gv-date div.dropdown-menu table thead tr th span.nav-icon {
  padding: 6px;
}

div.gv-date table {
  width: 260px;
}

div.gv-date div.dropdown-menu table thead tr th span.nav-icon:hover,
div.gv-date div.dropdown-menu table tbody tr td.day:hover {
  background-color: #EEE;
  border-radius: 4px;
}

div.gv-date div.dropdown-menu table tbody tr td.current {
  color: #fff;
  background-color: #dadddc;
  border-radius: 4px;
}

  div.gv-date div.dropdown-menu table tbody tr td.current:hover {
    color: #fff;
    background-color: #003487;
  }

div.gv-date div.dropdown-menu table tfoot tr td:first-child {
  text-align: left;
}

div.gv-date div.dropdown-menu table tfoot tr td:last-child {
  text-align: right;
}

div.gv-date div.this-month-year div.dropdown-menu {
  width: 200px;
  left: -48px;
}

div.gv-date table.month-table,
div.gv-date table.year-table {
  margin: 4px 6px 4px 4px;
  width: 190px;
}

  div.gv-date table.month-table tbody tr td,
  div.gv-date table.year-table tbody tr td {
    font-weight: normal;
    cursor: pointer;
  }

  div.gv-date table.month-table thead tr th,
  div.gv-date table.year-table thead tr th {
    font-weight: bold;
  }

  div.gv-date table.month-table tbody tr td:hover,
  div.gv-date table.year-table tbody tr td:hover {
    background-color: #EEE;
    border-radius: 4px;
  }

div.gv-date div.this-month-year span {
  cursor: pointer;
}
